package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description: MES控制计划-主表
 * @CreateDate: 2020/9/27
 * @Author: simon.song
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_CONTROL_PLAN")
@Api("中航控制计划主表")
public class MesControlPlan extends BaseBean implements Serializable {
    //1. 主表字段：“产线”、“产品”、“客户”、“版本号”、“是否生效”、“状态（编辑中、待审核、已审核）”组成。（主表命名“控制计划”）
    private static final long serialVersionUID = 1454433409471781390L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

//    @Column(name = "WORK_CELL_CODE")
//    @ApiParam("工作单元代码")
//    private String workCellCode;

    @Column(name = "product_name")
    @ApiParam("产品名称")
    private String productName;

    @Column(name = "CUST_CODE")
    @ApiParam("客户代码")
    private String custCode;

    @Column(name = "VERSION")
    @ApiParam("版本号")
    private String version;

    @Column(name = "EDIT_TYPE")
    @ApiParam("编辑状态")
    private Integer editType;
}
